package com.bonus.canteen.core.customer.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@LeNiuDecryptDataProcess
@Data
public class CustNoticeInfoVO {
   @ApiModelProperty("用户id")
   private Long custId;
   @ApiModelProperty("用户编号")
   private String custNum;
   @ApiModelProperty("用户姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("收信信息")
   @LeNiuDecryptField
   private String recipient;
   @ApiModelProperty("组织id")
   private Long orgId;
   @ApiModelProperty("组织全称")
   private String orgFullName;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getRecipient() {
      return this.recipient;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setRecipient(final String recipient) {
      this.recipient = recipient;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }




}
